Create a merchant
POST
apiKeyheader
Api-Key<token>Partner API key.
Idempotency-Key*stringUnique key to ensure idempotent request processing. Max 255 characters.
Length
length <= 255application/json- body
merchantName*stringDisplay name for the merchant
Length
2 <= length <= 64merchantEmail*stringContact email for the merchant
Match
^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Format
emailiconUrl?|Merchant logo URL (HTTPS only), or null to unset. Logo should be square (1:1, ±5%), 500×500px minimum (1024×1024px recommended, 4096×4096px maximum), JPEG/PNG/WebP, up to 2 MB.
Default
nullalwaysCollectData?booleanWhen true, every checkout forces the buyer to provide compliance data, even repeat buyers whose data is already on file.
mcc?|ISO 18245 merchant category code describing the merchant's line of business.
Default
nullMerchant created
application/json- response
merchant*curl -X POST 'https://api.merchant.pay.walletconnect.com/v1/merchants' \ -H 'Idempotency-Key: string' \ -H 'Content-Type: application/json' \ -d '{ "merchantName": "Acme Store", "merchantEmail": "billing@acme.store", "iconUrl": "https://example.com/logo.png"}'{ "merchant": { "id": "mrch_7kBz2qR9xPvLmN4Yw", "name": "Acme Store", "email": "billing@acme.store", "status": "active", "mcc": 5812, "createdAt": "2025-06-15T10:30:00.000Z" }}